Retrieve specific RICAL
Analytics Events
/v1/ecosystems/{ecosystemId}/ricals/public/{ricalIssueId}Retrieves a specific RICAL from the requested ecosystem by providing the RICAL version identifier.
The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytic events
- ECOSYSTEM_RICAL_RETRIEVE_START
- ECOSYSTEM_RICAL_RETRIEVE_SUCCESS
- ECOSYSTEM_RICAL_RETRIEVE_FAIL
Path Parameters
The UUID of the ecosystem
uuidUnique identifier of a specific RICAL version. This numeric value is continuously increased whenever a RICAL is created.
int32Response Body
application/cbor
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/public/1337""string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all RICALs GET
Retrieves all RICALs available in the requested ecosystem. The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the [Retrieve specific RICAL](#operation/getRical) or [Retrieve latest RICAL](#operation/getLatestRical) endpoint. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_RICAL_RETRIEVE_LIST_START * ECOSYSTEM_RICAL_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_RICAL_RETRIEVE_LIST_FAIL
Retrieve latest RICAL GET
Retrieves the latest RICAL from the requested ecosystem. The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_RICAL_RETRIEVE_LATEST_START * ECOSYSTEM_RICAL_RETRIEVE_LATEST_SUCCESS * ECOSYSTEM_RICAL_RETRIEVE_LATEST_FAIL